import { Component, OnInit } from '@angular/core';
import { AssignmentsService } from '../shared/assignments.service';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  // ajoutActive = false;
  assignmentSelectionne:Assignment;
  formVisible=false;

  assignments:Assignment[];

  // on injecte le service de gestion des assignments
  constructor(private assignmentsService:AssignmentsService) {}

  ngOnInit() {
    console.log('AVANT AFFICHAGE');

    // on utilise le service pour récupérer les
    // assignments à afficher
    this.assignmentsService.getAssignments()
      .subscribe(assignments => {
        this.assignments = assignments;
        console.log("données reçues");
      });
      console.log("getAssignments() du service appelé");
  }


  assignmentClique(a) {
    this.assignmentSelectionne = a;
  }

  onAddAssignmentBtnClick() {
    this.formVisible=true;
  }

  onNouvelAssignment(event) {
    // l'event est l'assignment ajouté par le composant
    // fils qui a émis l'événement

    //this.assignments.push(event);
    this.assignmentsService.addAssignment(event)
      .subscribe(message => {
        console.log(message);

        // on cache le formulaire, et on re-affiche la liste
        this.formVisible=false;
      })
  }

  onDeleteAssignment(event) {
    // event = l'assignment à supprimer
    let index = this.assignments.indexOf(event);

    this.assignments.splice(index, 1);
  }
}
