import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';
import { Assignment } from '../assignments/assignment.model';

@Injectable({
  providedIn: 'root'
})
export class AssignmentsService {
  assignments:Assignment[] = [
    {
      nom: 'Devoir Angular Buffa',
      dateDeRendu: new Date('03-20-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir gRails',
      dateDeRendu: new Date('04-02-2021'),
      rendu: false,
    },
    {
      nom: 'Devoir BD Mopolo',
      dateDeRendu: new Date('03-01-2021'),
      rendu: true,
    },
  ];

  constructor() { }

  getAssignments():Observable<Assignment[]> {
    console.log("Dans le service de gestion des assignments...")
    return of(this.assignments);
  }

  addAssignment(assignment:Assignment):Observable<string> {
    this.assignments.push(assignment);
    return of("Service: assignment ajouté !");
  }

  updateAssignment(assignment:Assignment):Observable<string> {
    // besoin de ne rien faire puisque l'assignment passé en paramètre
    // est déjà un élément du tableau

    //let index = this.assignments.indexOf(assignment);

    //console.log("updateAssignment l'assignment passé en param est à la position " + index + " du tableau");
    return of("Service: assignment modifié !");
  }
}
